<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>2.3.2.RELEASE</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>
	<groupId>org.arecap.game</groupId>
	<artifactId>penguins-boardgame</artifactId>
	<version>0.0.1-SNAPSHOT</version>
	<name>penguins-boardgame</name>
	<description>Demo project for Spring Boot</description>
	<url>
		https://gitlab.com/arecap/psa/penguins-boardgame.git
	</url>
	<organization>
		<name>ARECAP</name>
		<url>https://arecap.org</url>
	</organization>
	<licenses>
		<license>
			<name>Apache License, Version 2.0</name>
			<url>http://www.apache.org/licenses/LICENSE-2.0</url>
		</license>
	</licenses>
	<developers>
		<developer>
			<id>gavianu</id>
			<name>Octavian Stirbei</name>
			<email>octavianstirbei at gmail.com</email>
			<organization>ARECAP</organization>
			<organizationUrl>https://arecap.org</organizationUrl>
			<roles>
				<role>Project lead</role>
			</roles>
		</developer>
		<developer>
			<id>naspetre</id>
			<name>Cristian Claudiu Bercea</name>
			<email>naspetre at gmail.com</email>
			<organization>ARECAP</organization>
			<organizationUrl>https://arecap.org</organizationUrl>
			<roles>
				<role>Trainee</role>
			</roles>
		</developer>
	</developers>
	<scm>
		<connection>scm:git:git://gitlab.com/arecap/fcl/realease/webexchange.git</connection>
		<developerConnection>scm:git:ssh://git@gitlab.com/arecap/fcl/realease/webexchange.git</developerConnection>
		<url>https://gitlab.com/arecap/fcl/realease/webexchange</url>
	</scm>

	<properties>
		<java.version>1.8</java.version>
		<spring-cloud.version>Hoxton.SR5</spring-cloud.version>
		<vaadin.version>14.3.2</vaadin.version>
		<springdoc.version>1.4.2</springdoc.version>
		<arecap.cop.version>1.0.0-RELEASE</arecap.cop.version>
		<arecap.webexchange.version>1.0.1-SNAPSHOT</arecap.webexchange.version>
	</properties>

	<dependencies>
		<dependency>
			<groupId>org.springframework.statemachine</groupId>
			<artifactId>spring-statemachine-boot</artifactId>
			<version>1.2.14.RELEASE</version>
		</dependency>
<!--		<dependency>-->
<!--			<groupId>org.springframework.cloud</groupId>-->
<!--			<artifactId>spring-cloud-starter-netflix-eureka-server</artifactId>-->
<!--		</dependency>		&lt;!&ndash; https://mvnrepository.com/artifact/org.springdoc/springdoc-openapi-ui &ndash;&gt;-->
		<dependency>
			<groupId>org.springdoc</groupId>
			<artifactId>springdoc-openapi-ui</artifactId>
			<version>${springdoc.version}</version>
		</dependency>
		<dependency>
			<groupId>com.vaadin</groupId>
			<artifactId>vaadin-spring-boot-starter</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-starter-netflix-hystrix</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-starter-netflix-hystrix-dashboard</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-actuator</artifactId>
		</dependency>
<!--		<dependency>-->
<!--			<groupId>org.arecap</groupId>-->
<!--			<artifactId>cop</artifactId>-->
<!--			<version>${arecap.cop.version}</version>-->
<!--		</dependency>-->
<!--		<dependency>-->
<!--			<groupId>org.arecap</groupId>-->
<!--			<artifactId>webexchange</artifactId>-->
<!--			<version>${arecap.webexchange.version}</version>-->
<!--		</dependency>-->
		<!-- https://mvnrepository.com/artifact/com.hazelcast/hazelcast-spring -->
<!--		<dependency>-->
<!--			<groupId>com.hazelcast</groupId>-->
<!--			<artifactId>hazelcast-spring</artifactId>-->
<!--			<version>4.0.2</version>-->
<!--		</dependency>-->
		<!-- https://mvnrepository.com/artifact/org.springframework.integration/spring-integration-hazelcast -->
		<dependency>
			<groupId>org.springframework.integration</groupId>
			<artifactId>spring-integration-hazelcast</artifactId>
			<version>2.0.0.RELEASE</version>
		</dependency>
		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<version>1.18.12</version>
		</dependency>
		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>org.beryx</groupId>
			<artifactId>awt-color-factory</artifactId>
			<version>1.0.0</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
			<exclusions>
				<exclusion>
					<groupId>org.junit.vintage</groupId>
					<artifactId>junit-vintage-engine</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
			<version>4.12</version>
		</dependency>
	</dependencies>
	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>org.springframework.cloud</groupId>
				<artifactId>spring-cloud-dependencies</artifactId>
				<version>${spring-cloud.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<dependency>
				<groupId>com.vaadin</groupId>
				<artifactId>vaadin-bom</artifactId>
				<version>${vaadin.version}</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
		</plugins>
	</build>

</project>
